package ru.dbotthepony.kstarbound.client.freetype.struct;

import com.sun.jna.NativeLong;

class CMacros {
	static NativeLong makeEnumValue(long a, long b, long c, long d) {
		return new NativeLong((a << 24) | (b << 16) | (c << 8) | (d));
	}

	static NativeLong makeEnumValue(char a, char b, char c, char d) {
		return makeEnumValue((long) a, (long) b, (long) c, (long) d);
	}
}
